Subject: bug#24338: closed (Re: bug#24338: bug#29723: 25.3; `compile' doesn't honor `tramp-methods', always uses "/bin/sh")

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Mar 2019 14:10:02 +0000

Your bug report

#24338: 24.5; compile-start has /bin/sh hardcoded for remote executions.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24338: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24338
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24338: bug#29723: 25.3; `compile' doesn't honor `tramp-methods', always uses "/bin/sh"
From: Michael Albinus <[email-masked]>
To: "Matz\, Daniel A. \(JSC-EG511\)" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 17 Mar 2019 15:09:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Albinus <[email-masked]> writes:

> Finally, I've adapted connection-local variables accordingly, pushed to
> the master branch. See the discussion in (info "(emacs) Connection Variables")

No news are good news. I'm closing the bugs. Feel free to ask if there's
something not clear with the solution.

Best regards, Michael.

Subject: 24.5; compile-start has /bin/sh hardcoded for remote executions.
From: Jürgen A. Erhard <[email-masked]>
To: [email-masked]
Date: Tue, 30 Aug 2016 11:15:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Title says all, it checks with file-remote-p and the hardcodes /bin/sh.
It should ideally check the login shell of the remote system or... but
that all needs knowledge it's not supposed to have, I guess.  Hmm, but
file-remote-p does use a handler system.  So... have to ponder (if it's
not completely changed in 25)

At least document it, and please give a way to override in the "Use
shell-file-name, I know what I'm doing".

In GNU Emacs 24.5.1 (i586-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2016-04-08 on x86-csail-01, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11803000
System Description:	Debian GNU/Linux unstable (sid)

Configured using:
 `configure --build i586-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --build i586-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Important settings:
  value of $LC_ALL: en_US.utf-8
  value of $LANG: en_US.utf-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  eldoc-mode: t
  global-auto-revert-mode: t
  server-mode: t
  which-function-mode: t
  savehist-mode: t
  desktop-save-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  diff-auto-refine-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t

Recent messages:
mouse-2, RET: find function's definition
uncompressing compile.el.gz...done
Note: file is write protected
Mark saved where search started

call-interactively: Buffer is read-only: #<buffer compile.el.gz> [6 times]
Mark saved where search started

Making completion list... [4 times]
Reverting buffer `multirsync.torrentstats'.
Quit [2 times]

Load-path shadows:
/usr/share/emacs24/site-lisp/nethack/nethack-cmd hides /usr/share/emacs/site-lisp/nethack/nethack-cmd
/usr/share/emacs24/site-lisp/nethack/slashem-tiles hides /usr/share/emacs/site-lisp/nethack/slashem-tiles
/usr/share/emacs24/site-lisp/nethack/nethack-keys hides /usr/share/emacs/site-lisp/nethack/nethack-keys
/usr/share/emacs24/site-lisp/nethack/nethack-tiles hides /usr/share/emacs/site-lisp/nethack/nethack-tiles
/usr/share/emacs24/site-lisp/nethack/nethack hides /usr/share/emacs/site-lisp/nethack/nethack
/usr/share/emacs24/site-lisp/nethack/nethack-keys-dvorak hides /usr/share/emacs/site-lisp/nethack/nethack-keys-dvorak
/usr/share/emacs24/site-lisp/nethack/nethack-api hides /usr/share/emacs/site-lisp/nethack/nethack-api
/usr/share/emacs24/site-lisp/nethack/nethack-compat hides /usr/share/emacs/site-lisp/nethack/nethack-compat
/home/jae/.emacs.d/elpa/bar-cursor-1.1/bar-cursor hides /usr/share/emacs24/site-lisp/emacs-goodies-el/bar-cursor
/usr/share/emacs/24.5/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs/24.5/site-lisp/puppet-el/puppet-mode hides /usr/share/emacs/site-lisp/puppet-mode
/usr/share/emacs24/site-lisp/flim/md4 hides /usr/share/emacs/24.5/lisp/md4
/usr/share/emacs24/site-lisp/flim/hex-util hides /usr/share/emacs/24.5/lisp/hex-util
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/24.5/lisp/textmodes/rst
/usr/share/emacs24/site-lisp/flim/hmac-md5 hides /usr/share/emacs/24.5/lisp/net/hmac-md5
/usr/share/emacs24/site-lisp/flim/sasl-cram hides /usr/share/emacs/24.5/lisp/net/sasl-cram
/usr/share/emacs24/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/24.5/lisp/net/sasl-ntlm
/usr/share/emacs24/site-lisp/flim/sasl hides /usr/share/emacs/24.5/lisp/net/sasl
/usr/share/emacs24/site-lisp/flim/hmac-def hides /usr/share/emacs/24.5/lisp/net/hmac-def
/usr/share/emacs24/site-lisp/flim/ntlm hides /usr/share/emacs/24.5/lisp/net/ntlm
/usr/share/emacs24/site-lisp/flim/sasl-digest hides /usr/share/emacs/24.5/lisp/net/sasl-digest
/usr/share/emacs24/site-lisp/latex-cjk-thai/thai-word hides /usr/share/emacs/24.5/lisp/language/thai-word

Features:
(shadow sort mail-extr emacsbug sendmail eieio-opt speedbar sb-image
ezimage dframe pp follow apropos log-view rect vc-arch vc-mtn lisp-mnt
gnutls parse-time mm-archive network-stream starttls url-http tls url-gw
url-cache url-auth url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap url-handlers epg
finder-inf sgml-mode dired-aux warnings vc-bzr vc-sccs vc-svn vc-cvs
vc-rcs mule-util ffap url-parse url-vars dabbrev tramp-cmds tramp-cache
tramp-sh log-edit message rfc822 mml mml-sec mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev mail-utils gmm-utils mailheader
pcvs-util misearch multi-isearch help-mode ruby-mode goto-addr view
tex-mode vc-git debian-control-mode debian-bug rfc2047 rfc2045
ietf-drums debian-changelog-mode add-log nroff-mode org-indent
org-element org-rmail org-mhe org-irc org-info org-gnus org-docview
doc-view image-mode org-bibtex bibtex org-bbdb org-w3m org org-macro
org-footnote org-pcomplete org-list org-faces org-entities noutline
outline org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-src ob-keys ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs find-func cal-menu calendar cal-loaddefs rst derived
make-mode js thingatpt cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs jka-compr info vc-dir ewoc
vc lua-mode rx sh-script smie executable pylint python json calc-arith
eldoc vc-dispatcher conf-mode dired autorevert filenotify server
which-func imenu savehist desktop frameset cus-start cus-load
novel-tools files-x color uuid calc-comb calc-ext calc calc-loaddefs
calc-macs eieio-base typopunct bar-cursor typopunct-autoloads
uuid-autoloads package epg-config vc-hg tramp tramp-compat auth-source
eieio byte-opt bytecomp byte-compile cl-extra cconv eieio-core gnus-util
mm-util mail-prsvr password-cache tramp-loaddefs trampver shell
pcomplete format-spec advice help-fns grep compile comint ansi-color
ring cl-macs paren cl gv diff-mode easymenu easy-mmode edmacro kmacro
cl-loaddefs cl-lib debian-el debian-el-loaddefs dpkg-dev-el
dpkg-dev-el-loaddefs time-date tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 8 2211536 305942)
 (symbols 24 46959 0)
 (miscs 20 12484 5771)
 (strings 16 207050 30964)
 (string-bytes 1 10397737)
 (vectors 8 55844)
 (vector-slots 4 1773465 112312)
 (floats 8 526 2201)
 (intervals 28 392498 31178)
 (buffers 512 970)
 (heap 1024 245671 91250))